import 'package:flutter/material.dart';
import 'package:sci_mobile_components/src/models/theme_model.dart';

class SCIAppTheme extends InheritedWidget {
  // The for all the component
  final SCIThemeModel theme;

  // Child widget that use this theme
  final Widget child;

  SCIAppTheme({
    @required this.theme,
    this.child,
  });

  // Rebuild the dependant widget if theme change
  @override
  bool updateShouldNotify(SCIAppTheme oldWidget) => oldWidget.theme != theme;

  static SCIAppTheme of(BuildContext context) =>
      context.dependOnInheritedWidgetOfExactType<SCIAppTheme>();
}
