import 'package:flutter/material.dart';
import 'package:sci_mobile_components/src/components/SCIAppTheme.dart';
import 'package:sci_mobile_components/src/models/theme_model.dart';

class SCIBody extends StatelessWidget {
  final Widget child;
  final bool withHeightFactor;

  SCIBody({this.child, this.withHeightFactor = false});

  @override
  Widget build(BuildContext context) {
    // Extract theme properties from top level SCIAppTheme
    final SCIThemeModel theme = SCIAppTheme.of(context).theme;

    return Container(
      width: MediaQuery.of(context).size.width,
      height: MediaQuery.of(context).size.height,
      color: theme.lightColor,
      alignment: Alignment.center,
      child: FractionallySizedBox(
        heightFactor: withHeightFactor ? 0.95 : 1.0,
        widthFactor: 0.9,
        child: child,
      ),
    );
  }
}
